Skip to main content
GET
/
api
/
container
Lists all containers the current user has view permission for.
curl --request GET \
  --url https://{tenant}.ekso.app/api/container \
  --header 'Authorization: Bearer <token>'
[
  {
    "entity": "<string>",
    "code": "<string>",
    "name": "<string>",
    "description": "<string>",
    "label": "<string>",
    "lastSequence": 123,
    "owner": "<string>",
    "archived": true,
    "role": [
      {
        "role": 123,
        "userGroup": [
          "<string>"
        ]
      }
    ],
    "process": [
      {
        "processId": "<string>",
        "field": [
          {
            "fieldId": "<string>",
            "access": [
              {
                "role": 123,
                "userGroup": [
                  "<string>"
                ]
              }
            ]
          }
        ]
      }
    ],
    "tenantId": "<string>",
    "id": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "updated": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "deleted": true
  }
]

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Response

List of containers.

entity
null | string
code
string
name
string
description
string
label
string
lastSequence
owner
string
archived
boolean
role
object[]
process
object[]
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean